ONAK(1)

NAME
onak - an OpenPGP compatible keyserver

SYNOPSIS

onak [ options ] command [ parameters ]

DESCRIPTION

Perform various keyserver actions.

  Options

-b  Treat keys on stdin as binary rather than ASCII armoured.

-c FILE
    Use FILE as the config file instead of the default.

-f  Display fingerprints when listing keys.

-u  Update keys - output changes on stdout.

-v  Verbose; increase loglevel.

  Commands

add Read OpenPGP keys from stdin and add them to the keyserver database.

clean
    Read OpenPGP keys from stdin, run the key cleaning routines against them and dump to stdout.

dumpconfig
    Dump the running config in new .ini format to stdout, or the provided file. Intended to help with migration from old style configuration files - onak can read and parse the old style file and this command will output the equivalent new style configuration.

delete
    Delete a given key from the keyserver.

dump
    Dump all the keys from the keyserver.

get Retrieves the requested key from the keyserver.

getphoto
    Retrieves the first photoid on the requested key and dumps to stdout.

index
    Search for a key and list it.

vindex
    Search for a key and list it and its signatures.

EXAMPLES

onak index noodles
    List all keys in the keyserver that contain the word noodles.

onak clean < dirty.key > clean.key
    Clean up one or more PGP keys. Currently this will just dedupe UIDs.

gpg --export | onak -b add
    Export all keys on your gnupg keyring and import them into the keyserver.

FILES
/etc/onak.ini	default configuration file

NOTES
This man page could probably do with some more details.

AUTHOR
onak was written by Jonathan McDowell <noodles@earth.li>. It can be found at http://www.earth.li/projectpurple/progs/onak.html